Bug 485111 - samba not able to access users' public_html directory
samba not able to access users' public_html directory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 11:50 EST by Orion Poplawski
Modified: 2013-01-25 10:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-02-11 11:50:51 EST
Description of problem:

Testing with selinux-policy-2.4.6-209.el5, getting:

type=AVC msg=audit(1234370785.967:605961): avc:  denied  { search } for  pid=18286 comm="smbd" name="public_html" dev=dm-1 ino=19610601 scontext=root:system_r:smbd_t:s0 tcontext=user_u:object_r:httpd_sys_content_t:s0 tclass=dir                            
type=AVC msg=audit(1234370785.967:605962): avc:  denied  { read } for  pid=18286 comm="smbd" name="public_html" dev=dm-1 ino=19610601 scontext=root:system_r:smbd_t:s0 tcontext=user_u:object_r:httpd_sys_content_t:s0 tclass=dir                              
type=AVC msg=audit(1234370785.967:605963): avc:  denied  { getattr } for  pid=18286 comm="smbd" path="/home/kwan/public_html/linktoterms.html" dev=dm-1 ino=19612759 scontext=root:system_r:smbd_t:s0 tcontext=user_u:object_r:httpd_sys_content_t:s0 tclass=file
Comment 1 Daniel Walsh 2009-02-12 09:33:48 EST
Fixed in selinux-policy-2.4.6-211.el5
Comment 5 Orion Poplawski 2009-03-16 11:10:16 EDT
Confirmed fixed for me.  Thanks!
Comment 9 errata-xmlrpc 2009-09-02 03:59:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1242.html

Note You need to log in before you can comment on or make changes to this bug.